# kio Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KFileOpenWithHandler Class Reference

This class handles the displayOpenWithDialog call, made by KRun when it has no idea what to do with a URL. More...

`#include <kopenwith.h>`

Inheritance diagram for KFileOpenWithHandler:

[legend]
Collaboration diagram for KFileOpenWithHandler:

[legend]
List of all members.

## Public Member Functions

virtual bool | displayOpenWithDialog (const KURL::List &urls)
| Opens an open-with dialog box for `urls`.

## Detailed Description

This class handles the displayOpenWithDialog call, made by KRun when it has no idea what to do with a URL.

It displays the open-with dialog box.

If you use KRun you _need_ to create an instance of KFileOpenWithHandler (except if you can make sure you only use it for executables or Type=Application desktop files)

Definition at line 173 of file kopenwith.h.

## Member Function Documentation

bool KFileOpenWithHandler::displayOpenWithDialog | ( | const KURL::List & | urls | ) | `[virtual]`

Opens an open-with dialog box for `urls`.

Returns:
  true if the operation succeeded

Definition at line 704 of file kopenwith.cpp.

References QDialog::exec(), KRun::run(), KOpenWithDlg::service(), and KOpenWithDlg::text().

The documentation for this class was generated from the following files:

- kopenwith.h
- kopenwith.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:18:01 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001